App\Entity\VenteProduit:
    type: entity
    table: vente_produit
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        titre:
            type: string
            length: 255
            fixed: false
            nullable: true
        quantite:
            type: float
            nullable: false
        prixAchat:
            type: float
            nullable: false
        prixHt:
            type: float
            nullable: false
        tauxTva:
            type: float
            nullable: false
        totalTva:
            type: float
            nullable: false
        tauxRemise:
            type: float
            nullable: false
        totalRemise:
            type: float
            nullable: false
        totalHt:
            type: float
            nullable: false
        totalTtc:
            type: float
            nullable: false
        benefice:
            type: float
            nullable: false
        beneficePrevisionnel:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
    oneToMany:
        livraisons:
            targetEntity: VenteLivraisonProduit
            mappedBy: venteProduit
            cascade: [persist]
            orphanRemoval: true
        retours:
            targetEntity: VenteRetourProduit
            mappedBy: venteProduit
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        produit:
            targetEntity: Produit
            cascade: {  }
            mappedBy: null
            inversedBy: vproduits
            joinColumns:
                produit_id:
                    referencedColumnName: id
            orphanRemoval: false
        vente:
            targetEntity: Vente
            cascade: [persist]
            mappedBy: null
            inversedBy: vproduits
            joinColumns:
                vente_id:
                    referencedColumnName: id
            orphanRemoval: false